org.apache.ignite.internal.processors.platform.client

## Class ClientObjectNotification

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientNotification
    - - org.apache.ignite.internal.processors.platform.client.ClientObjectNotification

All Implemented Interfaces:
  ClientOutgoingMessage

    public class ClientObjectNotification
    extends ClientNotification

Notification with object payload.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`ClientObjectNotification(short opCode, long rsrcId, Object val)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the notification data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientNotification

`resourceId`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, onSent, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientObjectNotification

    public ClientObjectNotification(short opCode,
                                    long rsrcId,
                                    Object val)

Constructor.

Parameters:
  `rsrcId` - Resource id.
  `val` - Object to send to client.

### Method Detail

#### encode

    public void encode(ClientConnectionContext ctx,
                       BinaryRawWriterEx writer)

Encodes the notification data.

Specified by:
  `encode` in interface `ClientOutgoingMessage`
Overrides:
  `encode` in class `ClientNotification`
Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021